AIX OpenSSL Advisory : openssl_advisory24.asc

Medium Nessus Plugin ID 107231

Synopsis

The remote AIX host has a version of OpenSSL installed that is affected by an information disclosure vulnerability.

Description

The version of OpenSSL installed on the remote AIX host is affected by an off-by-one out-of-bounds read flaw in when processing X.509 certificates. This allows a context-dependent attacker to disclose limited memory contents.

Solution

A fix is available and can be downloaded from the IBM AIX website.

See Also

http://aix.software.ibm.com/aix/efixes/security/openssl_advisory24.asc

Plugin Details

Severity: Medium

ID: 107231

File Name: aix_openssl_advisory24.nasl

Version: 1.4

Type: local

Published: 2018/03/08

Modified: 2018/06/12

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 5

Temporal Score: 3.7

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:N

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSSv3

Base Score: 5.3

Temporal Score: 4.6

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:ibm:aix, cpe:/a:openssl:openssl

Required KB Items: Host/AIX/lslpp, Host/local_checks_enabled, Host/AIX/version

Patch Publication Date: 2017/12/14

Vulnerability Publication Date: 2017/12/14

Reference Information

CVE: CVE-2017-3735

BID: 100515